---
layout: post
title: "PCB photo transfer"
date: 2024-11-24 15:00:00 +0200
comments: true
categories:
---

# Specific options for manual PCB making

Minimum with / Minimum trace separation: 0.3 mm (12 mil)

*The following settings may be changed to make Gerbers for fabrication*

* Vias the same size as pads
* Solder mask: do not tent vias

# Photo-transfer tests

All tests with 8 W/m UV LED strip (4x25cm) @ 100%

## Test 1

Double layer tracing paper
10 zones from 30 s to 5 min in 30 s increments

* Make sure to have enough margin to pull the corner of the protective layer after exposure
* Gunk really goes away when *rinsing* the developer

Best result: 2 min

## Test 2

Single or double layer tracing paper
5 zones: from 1 min 30 to 2 min 30 in 15 s increments

* Single layer blacks are not opaque enough, so do not block UV, so resin hardens in places where it should go
* Develop with solution for at least 3 min
* Good results at 2 min exposure

## Test 3

4 layers transparency film
10 zones: from 1 min 35 to 3 min 05 in 10 s increments
Best results in zones 4-5: 2 min 05 / 2 min 15

* Develop 5 min
* Rinse developer under running water to clear the gunk
* Develop again a few minutes
* Wipe with isopropyl alcool to remove last traces of gunk

# Actually etching the board

## Try 1

I printed several stencils but they would not line up: it appears that my printer (HP MFP 1217nfw) expands in the Y direction significantly and in a non-uniform way.
To get good registration of the stencil, I had to print on 3 separate sheets of transparency film, keeping the design centered on the sheet (not at the top of the page, which would have allowed me to print two designs on the same sheet).

* Exposed 2 min 10 with 3 layers of stacked transparency film.
* Black stencil areas were overexposed, resulting in gunk remaining on the board. (Also, the developing solution was not new and possibly a bit weak).
* I did not do a hardening exposure after rinsing
* Bad result at etching with lots of copper remaining
* Also quite a few cut traces

Lessons learned:
* spend more time doing a very thorough lamination to avoid raised traces
* my printer deforms designs depending on their position on the page
* reduce exposure time for 3 layers of transparency (1 m 55?)
* rinse more carefully, scrub gently, watch for remaining gunk
* let the board air dry before touching up
* do a hardening exposure (also serving as a double check that there's no leftover resist)
* use fresh etching solution (2 parts H2O2 / 1 part HCl)

## Try 2

* Exposed 1 min 30 with 3 layers of stacked transparency film. => **this was plenty for hard traces protection**
* Rinse+++ the unexposed film => gently swipe with tooth brush to really eliminate all gunk
* Etched with a softer solution
  * 100 mL water / 50 mL HCl / 25 mL H2O2 (12%)
  * Ecthing is much slower, allowing better control over the process, less Cl2 vapours
* Removed resist with NaOH (a few grams in hot water)
* Fixed broken tracks by soldering pieces of resistor legs

Lessons learned:
* 3 stacked transparencies seems right
* Laminate film super carefully, avoid bubbles at all cost. **Each bubble will be a broken trace down the line**
  * No need for water
  * Heat+pressure from iron
* 1 min 30 is plenty, 1 min might work and reduce overexposure of protected areas
* Try gentle swipe with scotch brite to remove gunk during development?
