---
layout: post
title: "Restoring the TI 99/4A, ep. 5"
date: 2025-05-18 13:00:00 +0200
comments: true
categories:
---

## Checking L600

Vcc (pin 2) of the CPU is oscillating wildly unless I shunt L600. With L600 shunted, the machine seems to start up just fine (nice beep, and title screen displays).

Desoldering L600 and testing it off circuit is inconclusive: it seems to behave just fine.
Measuring its inductance with the oscilloscope (through the period of amortized oscillation with a known capacitor) as shown [here](https://0x9900.com/measure-an-inductance-or-capacitance-using-an-oscilloscope/) shows a consistent behaviour vs a new replacement part.

{% figure caption:"Old L600 desoldered from board" %}
![general amortization shape](assets/TI-resto/20250517-old-L-waveform.png)
![period measurement](assets/TI-resto/20250517-old-L-meas.png)
{% endfigure %}

{% figure caption:"New replacement L600" %}
![general amortization shape](assets/TI-resto/20250517-new-L-waveform.png)
![period measurement](assets/TI-resto/20250517-new-L-meas.png)
{% endfigure %}

The old part's amortized oscillation damps down faster, which is consistent with a higher resistance (on the LCR-T7, the old part reads at 0.50 Ω, whereas the new one reads at 0.25 Ω), but both measure a period of 520 ns, which is ballpark-consistent with a 6.8 μH inductance.

I soldered the new part instead of the old one, and I'm seeing a similar behaviour as before: failure when starting up (continuous tone, wild variations at TMS9900 Vcc), apparently working fine when shunting L600.

Just to be sure, with L600 shunted I hooked up the display and confirmed that:
* the title screen displays fine;
* when pressing a key, I get the main menu;
* when pressing 1, I get the TI basic prompt, and key strokes appear on screen.

**So L600 may not be the culprit, but some other connected part.**

## Could it be C611?

Another possible culprit nearby might be C611. Desoldering it and measuring it off-circuit, it reads just under 1000 pF on the LCR-T7, which is as expected, so I'm deciding it's good and soldering it back.

## Something else near ~MEMEN~?

Next hypothesis is a marginal component sinking too much current from Vcc:
* either R607, which looks like a pullup on ~MEMEN~
* or U605 input pin 2?

### A closer look at R607

In-circuit, R607 reads at 4.6 kΩ, which seems in a reasonable ballpark, so I'm disinclined to desolder it, which is fortunate because annonyingly, the new L600 is a bigger form factor than the original one, and so it's blocking access. I could desolder it and solder back the original one: since the original one measures fine, and replacing it didn't change the behaviour, I'm assuming that the problem was not there. But since the in-circuit reading looks within spec, that would really be a shot in the dark.

### Vcc fighting ~MEMEN~?

Next step is to look at Vcc and ~MEMEN~ simultaneously to see if there's a correlation between changes on MEMEN and Vcc variations.

**Finging: The Vcc variations do *not* appear to be correlated with ~MEMEN~: there are big oscillations on Vcc even when ~MEMEN~ is stable (whether low or high).**

{% figure caption:"Vcc vs ~MEMEN~ / no shunt on L600: KO" %}
![bad 1](assets/TI-resto/20250518-Vcc-MEMEN-bad1.png)
![bad 2](assets/TI-resto/20250518-Vcc-MEMEN-bad2.png)
{% endfigure %}

{% figure caption:"Vcc vs ~MEMEN~ / shunt on L600: OK" %}
![ok 1](assets/TI-resto/20250518-Vcc-MEMEN-ok1.png)
![ok 2](assets/TI-resto/20250518-Vcc-MEMEN-ok2.png)
{% endfigure %}

